local mod = MorgDKP2:NewModule("Eventnaming")
local L = LibStub("AceLocale-3.0"):GetLocale("MorgDKP2")

local mdkp = MorgDKP2
mod.modName = "Eventnaming"

local db
local Player = UnitName("player")

local defaults = { 
	profile = {
		bossformat = "<boss>",
		startformat = "<zone> <diff> Start",
		trashformat = "<zone> <diff> Run",
	},
}

function mod:GetOptions()
	return options
end

function mod:IsDKP()
	return nil
end

function mod:OnInitialize()
	self.db = mdkp.db:RegisterNamespace("Eventnaming", defaults)
	
end

function mod:OnEnable()
	db = mdkp.db.profile
	db.moduleON["Eventnaming"] = true
						
end

function mod:OnDisable()
	db.moduleON["Eventnaming"] = nil
						
end

function mod:UpdateDB()
	db = mdkp.db.profile
end

function mod:Toggle(info, v)
	mdkp.db.profile.modules.Eventnaming = v
	if v then mod:Enable()
	else mod:Disable() end
end

function mod:SetOpt(info, v)
	local db = mod.db.profile
	local opt = info[#info]
	db[opt] = v
end

function mod:GetOpt(info)
	local db = mod.db.profile
	local opt = info[#info]
	return db[opt]
end

function mod:ResetDefault()
	self.db.profile.startformat, self.db.profile.trashformat, self.db.profile.bossformat = "<zone> Start", "<zone> Run", "<boss>"
end

function mod:GetEventFormat()
	return self.db.profile.startformat, self.db.profile.trashformat, self.db.profile.bossformat
end

function mod:SetEventFormat(start, trash, boss)
	if start and trash and boss then
		self.db.profile.startformat, self.db.profile.trashformat, self.db.profile.bossformat = start, trash, boss
	end
end
